module Yooox
  def self.export_scene_picture1
    model = Sketchup.active_model
    # 获取当前场景的视图
    view = model.active_view
    # 获取当前模型文件名称
    model_filename = model.title.empty? ? "无标题" : model.title
    # 获取当前活动的页面
    selected_page = model.pages.selected_page
    if selected_page
      # 获取当前活动场景的名称
      scene_name = selected_page.name
    else
      scene_name = "NoScene"
    end
    # 弹出文件夹选择对话框
    selected_folder = UI.select_directory(title: "选择文件夹")
    if selected_folder
      # 获取选择的文件夹路径
      folder_path = selected_folder.force_encoding("UTF-8")
      # 构建文件名，包括场景名称和模型文件名称
      filename = File.join(folder_path, "#{scene_name}_#{model_filename}.jpg")
      # 导出当前场景为图片
      view.write_image(filename)
    else
      puts "用户取消了文件夹选择对话框。"
    end
  end

  def self.export_scene_picture
    filename = File.join(Sketchup.temp_dir, 'yooox_temp.jpg')
    Sketchup.active_model.active_view.write_image(filename)
    return UI.messagebox('图片生成失败！') unless File.file?(filename)
    return UI.messagebox('请先打开云图AI主页！') unless @dlg
    size = File.size(filename)
    file = File.open(filename, 'rb') # 二进制读取
    read_file = file.sysread(size)
    data = read_file
    file.close
    ext = File.extname(filename).delete('.')
    base64_text = 'data:image/' + ext + ';base64,' + Base64.strict_encode64(data)
    @dlg.execute_script("setimage('#{base64_text}')")
  end
end